List Merchants
curl --request GET \
--url https://api.example.com/merchant/listimport requests
url = "https://api.example.com/merchant/list"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/merchant/list', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": false,
"error": {
"status": 401,
"code": "UNAUTHORISED",
"message": "Invalid or missing authentication"
},
"data": null
}
Merchant
List Merchants
List all merchants for the authenticated user
GET
/
merchant
/
list
List Merchants
Get a list of all merchants associated with the authenticated user.
boolean
Indicates if the request was successful
array
Array of merchant objects
string
Merchant UUID
string
Merchant name
string
Merchant domain
boolean
Whether the domain is verified
string
Creation timestamp
Example Request
curl -X GET https://api.transaction.gg/merchant/list \
-H "Authorization: Bearer jwt_token"
Example Response
{
"success": true,
"data": {
"merchants": [
{
"id": "merchant_uuid",
"name": "My Store",
"domain": "mystore.com",
"isVerified": false,
"createdAt": "2024-01-01T00:00:00Z"
}
]
}
}
Error Responses
{
"success": false,
"error": {
"status": 401,
"code": "UNAUTHORISED",
"message": "Invalid or missing authentication"
},
"data": null
}
⌘I